curl --request GET \
--url https://api.baselayer.com/registrations/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/registrations/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Garcia, Hernandez and Woods",
"file_number": "867124",
"state": "AZ",
"status": "active",
"issue_date": "2024-01-01",
"inactive_date": "2024-06-01",
"dissolution_date": "2024-06-01",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"registration_type": "domestic",
"standing": "In Good Standing",
"registered_agent": {
"name": "Jeremy Crawford",
"address": {
"city": "Andrewton",
"cmra": false,
"deliverable": false,
"delivery_type": null,
"id": "ab237e72-7053-439d-ae5e-edbac59bf7cb",
"latitude": 34.0522,
"longitude": -118.2437,
"rdi": null,
"state": "CA",
"street": "3032 Mark Parks Andrewton, CA 27458",
"url": null,
"zip": "27458"
}
},
"officers": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Registration
Retrieve a Registration by its UUID.
Authorizations
Path Parameters
The unique identifier of the Registration to retrieve.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Response
Response
Response model for corporate registration data.
The unique identifier of the corporate registration.
The name on the registration.
"Garcia, Hernandez and Woods"
The file number of the registration.
"867124"
The state in which the registration was filed.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS "AZ"
Status field indicating whether the corporate registration filing is active or inactive.
active, inactive, unknown "active"
"inactive"
"unknown"
The date the registration was issued.
"2024-01-01"
The date the registration became inactive.
"2024-06-01"
The date the registration was dissolved in the given state.
"2024-06-01"
The address associated with the registration.
Show child attributes
Show child attributes
Whether the registration is domestic or foreign.
foreign, domestic, unknown "domestic"
The standing of the registration.
"In Good Standing"
The Registered Agent listed on the Registration.
Show child attributes
Show child attributes
The officers listed on the registration.
Show child attributes
Show child attributes